import { SimpleLocalIntegration } from '../../core/index.js';
import { AtagConfigFlow } from './atag.classes.configflow.js';
import { createAtagDiscoveryDescriptor } from './atag.discovery.js';
import type { IAtagConfig } from './atag.types.js';
import { atagDomain, atagProfile } from './atag.types.js';

export class AtagIntegration extends SimpleLocalIntegration<IAtagConfig> {
  public readonly domain = atagDomain;
  public readonly discoveryDescriptor = createAtagDiscoveryDescriptor();
  public readonly configFlow = new AtagConfigFlow();

  constructor() {
    super(atagProfile);
  }
}

export class HomeAssistantAtagIntegration extends AtagIntegration {}
